org.keycloak.dom.saml.v2.protocol

## Class NameIDPolicyType

- java.lang.Object
- - org.keycloak.dom.saml.v2.protocol.NameIDPolicyType

-     public class NameIDPolicyType
      extends Object

  Java class for NameIDPolicyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIDPolicyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Format" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="SPNameQualifier" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="AllowCreate" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `allowCreate`
    `protected URI` | `format`
    `protected String` | `spNameQualifier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDPolicyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getFormat()` Gets the value of the format property.
    `String` | `getSPNameQualifier()` Gets the value of the spNameQualifier property.
    `Boolean` | `isAllowCreate()` Gets the value of the allowCreate property.
    `void` | `setAllowCreate(Boolean value)` Sets the value of the allowCreate property.
    `void` | `setFormat(URI value)` Sets the value of the format property.
    `void` | `setSPNameQualifier(String value)` Sets the value of the spNameQualifier property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          protected URI format

    - #### spNameQualifier

          protected String spNameQualifier

    - #### allowCreate

          protected Boolean allowCreate

  - ### Constructor Detail

    - #### NameIDPolicyType

          public NameIDPolicyType()

  - ### Method Detail

    - #### getFormat

          public URI getFormat()

      Gets the value of the format property.
      Returns:
        possible object is `String`

    - #### setFormat

          public void setFormat(URI value)

      Sets the value of the format property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSPNameQualifier

          public String getSPNameQualifier()

      Gets the value of the spNameQualifier property.
      Returns:
        possible object is `String`

    - #### setSPNameQualifier

          public void setSPNameQualifier(String value)

      Sets the value of the spNameQualifier property.
      Parameters:
        `value` - allowed object is `String`

    - #### isAllowCreate

          public Boolean isAllowCreate()

      Gets the value of the allowCreate property.
      Returns:
        possible object is `Boolean`

    - #### setAllowCreate

          public void setAllowCreate(Boolean value)

      Sets the value of the allowCreate property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2016 JBoss by Red Hat. All rights reserved.